#!/bin/csh -f
#################################
#
# Chooch cshell script excecuting
# Benny and Chooch.
#
# Gwyndaf Evans 
# last update 29 October 1999
#
##############################################################
#
#  Usage:
#
#  Chooch.sh <element> <edge> <filenameroot>
#
#  element      - two letter atomic symbol (case insensitive)
#  edge         - absorption edge ( K | L1 | L2 | L3 | M )
#  filenameroot - trunk of raw data file e.g. for a raw data
#                 file called SeMet.raw use SeMet
#
#
##############################################################
#
echo $1  > atomname
echo $2 >> atomname
ln -s ${CHOOCHDAT}/atom.lib atomdata
#cp $3.raw rawdata
nawk -f /usr/local/Chooch/Chooch-4.01/bin/reformat_fluorescence.awk $3 > rawdata
Benny ; Chooch
mv anomfacs $3.efs
mv valuesfile $3.inf
/bin/rm -f splinor atomdata atomname rawdata
mv plot.ps $3.ps
exit
#
#
#

